import { Entity, PrimaryKey, Property } from '@mikro-orm/core'
import { BaseEntity } from '#application/bases/baseEntity'

@Entity()
export class World extends BaseEntity {
  @PrimaryKey()
  date = new Date()

  @Property()
  isRainEnabled = false

  @Property()
  rainPercentage = 0

  @Property()
  isFogEnabled = false

  @Property()
  fogDensity = 0
}
