import { BaseRepository } from '#application/bases/baseRepository'

class ObjectRepository extends BaseRepository {
  async getById(id: string): Promise<any> {
    try {
      const repository = this.em.getRepository(Object)
      return await repository.findOne({ id })
    } catch (error: any) {
      return null
    }
  }

  async getAll(): Promise<any> {
    try {
      const repository = this.em.getRepository(Object)
      return await repository.findAll()
    } catch (error: any) {
      return null
    }
  }
}

export default new ObjectRepository()
